Savings

Add funds to savings plans with flexible strategies

After subscribing to a savings program with the *flexible* strategy, clients can add funds to their initial investments and increase their interest rates. Use this method to add funds to existing savings plans.

POST
/api/v2/my/savings/flexible/plans/{plan_id}/add-funds

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

plan_id*string

The universally unique identifier (UUID) of a savings plan.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/savings/flexible/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08/add-funds" \  -H "Content-Type: application/json" \  -d '{    "amount": 1000.5  }'
{  "data": {    "id": "49825070-d077-419e-bbec-6b9a65381901",    "presetId": "09d5ce50-5fe8-469f-b6c4-c39698f98c22",    "walletId": "4815162342",    "status": "active",    "strategy": "fixed",    "abilities": {      "cancel": true,      "additionalInvestment": false    },    "cancelledAt": "2023-11-17T11:32:01Z",    "createdAt": "2023-11-17T11:30:01Z",    "updatedAt": "2023-11-17T11:30:01Z",    "details": {      "currencyAlpha": "USD",      "investmentAmount": 1000.5,      "admissionFee": 50,      "cancellationPenalty": 100,      "startAt": "2023-11-17T11:30:01Z",      "maturityAt": "2023-11-17T10:30:01Z"    }  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Account is archived"  }}
{  "error": {    "message": "Service Unavailable"  }}